Package com.sas.lsaf.content.repository

## Enum SynchronizationInfo.SynchronizationStatus

- java.lang.Object
- - java.lang.Enum<SynchronizationInfo.SynchronizationStatus>
  - - com.sas.lsaf.content.repository.SynchronizationInfo.SynchronizationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SynchronizationInfo.SynchronizationStatus>`
  Enclosing class:
    SynchronizationInfo

      public static enum SynchronizationInfo.SynchronizationStatus
      extends java.lang.Enum<SynchronizationInfo.SynchronizationStatus>

  The enumeration that describes whether the file has been synchronized between the workspace and repository. If it has been synchronized, the value indicates whether it is still in sync. If it is out-of-sync, then the `WorkspaceFileInfo` and `RepositoryFileInfo` objects can be reviewed to determine the location where the changes exist.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IN_SYNC` |
    `NOT_SYNCED` |
    `OUT_OF_SYNC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SynchronizationInfo.SynchronizationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SynchronizationInfo.SynchronizationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SYNCED

          public static final SynchronizationInfo.SynchronizationStatus NOT_SYNCED

    - #### OUT_OF_SYNC

          public static final SynchronizationInfo.SynchronizationStatus OUT_OF_SYNC

    - #### IN_SYNC

          public static final SynchronizationInfo.SynchronizationStatus IN_SYNC

  - ### Method Detail

    - #### values

          public static SynchronizationInfo.SynchronizationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SynchronizationInfo.SynchronizationStatus c : SynchronizationInfo.SynchronizationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SynchronizationInfo.SynchronizationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null